Update disaggregation result
curl --request PUT \
--url https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/results/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_id": "<string>",
"result_date": "2026-01-27T02:53:04",
"result_value": 4326.41688,
"result_narrative": "architecto",
"result_status": "n",
"rating": "g",
"further_explanation": "architecto",
"next_priorities": "architecto",
"additional_observations": "architecto"
}
'import requests
url = "https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/results/{id}"
payload = {
"target_id": "<string>",
"result_date": "2026-01-27T02:53:04",
"result_value": 4326.41688,
"result_narrative": "architecto",
"result_status": "n",
"rating": "g",
"further_explanation": "architecto",
"next_priorities": "architecto",
"additional_observations": "architecto"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_id: '<string>',
result_date: '2026-01-27T02:53:04',
result_value: 4326.41688,
result_narrative: 'architecto',
result_status: 'n',
rating: 'g',
further_explanation: 'architecto',
next_priorities: 'architecto',
additional_observations: 'architecto'
})
};
fetch('https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/results/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}Results
Update Disaggregation Result
Update the specified result.
PUT
/
v1
/
projects
/
{project_id}
/
elements
/
{element_id}
/
indicators
/
{indicator_id}
/
disaggregations
/
{disaggregation_id}
/
results
/
{id}
Update disaggregation result
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project.
The ID of the element.
The ID of the indicator.
The ID of the disaggregation.
The ID of the result.
Body
application/json
Example:
"2026-01-27T02:53:04"
Example:
4326.41688
Example:
"architecto"
Maximum string length:
255Example:
"n"
Maximum string length:
255Example:
"g"
Example:
"architecto"
Example:
"architecto"
Example:
"architecto"
Response
Result updated
The response is of type object.
⌘I